Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
Tableselect::processTableselect function core/lib/Drupal/Core/Render/Element/Tableselect.php Creates checkbox or radio elements to populate a tableselect table.
Tableselect::valueCallback function core/lib/Drupal/Core/Render/Element/Tableselect.php Determines how user input is mapped to an element's #value property.
TableSelectTest class core/tests/Drupal/Tests/Core/Render/Element/TableSelectTest.php @coversDefaultClass \Drupal\Core\Render\Element\Tableselect[[api-linebreak]]
@group Render
TableSelectTest.php file core/tests/Drupal/Tests/Core/Render/Element/TableSelectTest.php
TableSelectTest::testProcessTableselectWithLinkTitle function core/tests/Drupal/Tests/Core/Render/Element/TableSelectTest.php @covers ::processTableselect[[api-linebreak]]
TableSelectTest::testProcessTableselectWithStringTitle function core/tests/Drupal/Tests/Core/Render/Element/TableSelectTest.php @covers ::processTableselect[[api-linebreak]]
TablesInterface interface core/lib/Drupal/Core/Entity/Query/Sql/TablesInterface.php Adds tables and fields to the SQL entity query.
TablesInterface.php file core/lib/Drupal/Core/Entity/Query/Sql/TablesInterface.php
TablesInterface::addField function core/lib/Drupal/Core/Entity/Query/Sql/TablesInterface.php Adds a field to a database query.
TablesInterface::isFieldCaseSensitive function core/lib/Drupal/Core/Entity/Query/Sql/TablesInterface.php Determines whether the given field is case sensitive.
TableSort class core/lib/Drupal/Core/Utility/TableSort.php Provides a class for table sorting processing and rendering.
tablesort-indicator.css file core/themes/claro/css/components/tablesort-indicator.css Tablesort indicator styles.
tablesort-indicator.css file core/themes/seven/css/components/tablesort-indicator.css Tablesort indicator styles.
tablesort-indicator.css file core/themes/bartik/css/components/tablesort-indicator.css Tablesort indicator styles.
tablesort-indicator.html.twig file core/themes/stable/templates/admin/tablesort-indicator.html.twig Theme override for displaying a tablesort indicator.
tablesort-indicator.html.twig file core/themes/stable9/templates/admin/tablesort-indicator.html.twig Theme override for displaying a tablesort indicator.
tablesort-indicator.html.twig file core/themes/claro/templates/admin/tablesort-indicator.html.twig Theme override for displaying a tablesort indicator.
tablesort-indicator.html.twig file core/modules/system/templates/tablesort-indicator.html.twig Default theme implementation for displaying a tablesort indicator.
tablesort-indicator.pcss.css file core/themes/claro/css/components/tablesort-indicator.pcss.css Tablesort indicator styles.
tablesort.css file core/themes/claro/css/classy/components/tablesort.css Table sort indicator.
tablesort.css file core/profiles/demo_umami/themes/umami/css/classy/components/tablesort.css Table sort indicator.
tablesort.css file core/themes/seven/css/classy/components/tablesort.css Table sort indicator.
tablesort.css file core/themes/bartik/css/classy/components/tablesort.css Table sort indicator.
tablesort.css file core/themes/starterkit_theme/css/components/tablesort.css Table sort indicator.
tablesort.css file core/themes/classy/css/components/tablesort.css Table sort indicator.
tablesort.module.css file core/themes/stable/css/system/components/tablesort.module.css Table sort indicator.
tablesort.module.css file core/themes/stable9/css/system/components/tablesort.module.css Table sort indicator.
tablesort.module.css file core/modules/system/css/components/tablesort.module.css Table sort indicator.
TableSort.php file core/lib/Drupal/Core/Utility/TableSort.php
TableSort::ASC constant core/lib/Drupal/Core/Utility/TableSort.php
TableSort::DESC constant core/lib/Drupal/Core/Utility/TableSort.php
TableSort::getContextFromRequest function core/lib/Drupal/Core/Utility/TableSort.php Initializes the table sort context.
TableSort::getOrder function core/lib/Drupal/Core/Utility/TableSort.php Determines the current sort criterion.
TableSort::getQueryParameters function core/lib/Drupal/Core/Utility/TableSort.php Composes a URL query parameter array for table sorting links.
TableSort::getSort function core/lib/Drupal/Core/Utility/TableSort.php Determines the current sort direction.
TableSort::header function core/lib/Drupal/Core/Utility/TableSort.php Formats a column header.
TableSortExtender class core/lib/Drupal/Core/Database/Query/TableSortExtender.php Query extender class for tablesort queries.
TableSortExtender class core/tests/fixtures/database_drivers/module/corefake/src/Driver/Database/corefakeWithAllCustomClasses/TableSortExtender.php CorefakeWithAllCustomClasses implementation of \Drupal\Core\Database\Query\TableSortExtender.
TableSortExtender.php file core/tests/fixtures/database_drivers/module/corefake/src/Driver/Database/corefakeWithAllCustomClasses/TableSortExtender.php
TableSortExtender.php file core/lib/Drupal/Core/Database/Query/TableSortExtender.php
TableSortExtender::orderByHeader function core/lib/Drupal/Core/Database/Query/TableSortExtender.php Order the query based on a header array.
TableSortExtender::__construct function core/lib/Drupal/Core/Database/Query/TableSortExtender.php
TableSortExtenderTest class core/tests/Drupal/KernelTests/Core/Render/Element/TableSortExtenderTest.php Tests table sorting.
TableSortExtenderTest.php file core/tests/Drupal/KernelTests/Core/Render/Element/TableSortExtenderTest.php
TableSortExtenderTest::testTableSortInit function core/tests/Drupal/KernelTests/Core/Render/Element/TableSortExtenderTest.php Tests \Drupal\Core\Utility\TableSort::getContextFromRequest().
TableTest class core/tests/Drupal/KernelTests/Core/Render/Element/TableTest.php Tests built-in table theme functions.
TableTest class core/modules/ckeditor5/tests/src/FunctionalJavascript/TableTest.php For testing the table plugin.
TableTest.php file core/modules/ckeditor5/tests/src/FunctionalJavascript/TableTest.php
TableTest.php file core/tests/Drupal/KernelTests/Core/Render/Element/TableTest.php
TableTest::$captionText property core/modules/ckeditor5/tests/src/FunctionalJavascript/TableTest.php Text added to captions.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.